{% extends 'base.html' %}

{% load humanize %}
{% load custom_tags %}

{% block content %}

<h2>My Searches</h2><hr/>

<p><strong>Instructions:</strong> This page contains your already queued searches. Each record will display it's current status and offer you the ability to download or delete your search. Searches will automatically be deleted from the system after {{ num_months_keep_searches }} months. The exact date each search will be removed is located in the details section of the progress column.
<br/><br/>
Note that using the <i>"Download Selected"</i> feature for multiple large searches could take a while since it is
building a new compressed file on-demand. Also be aware that if you include many searches at once, you run the
risk of your requests reaching the timeout limit of 10 minutes (downloading will take additional time after the
combined file has been generated and is not included in the timeout limit).
</p>

{% if error_message %}
<br/><p class='error'>{{ error_message }}</p>
{% endif %}
<br/>
{% include 'textassembler_web/searches_grid.html' %}
{% endblock %}
